%-% Running file %-%
clearvars

njob = 6;

mkdir(sprintf('./Data'))
mkdir(sprintf('./Data/Run_%03i',njob))

%Obtain simulation parameters
[Params] = parameters();

%Set up spatial grids and transforms
[Transf] = setup_space(Params);

[psi,V,VDk] = Initialize(Params,Transf);

% --- Initialize
Observ.EVec = []; Observ.NormVec = []; Observ.PCVec = []; Observ.tVecPlot = []; Observ.mucVec = [];
t_idx = 1; %Start at t = 0;
Observ.res_idx = 1;


[psi] = ssfm_imag(psi,Params,Transf,VDk,V,njob,t_idx,Observ);